Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::Line Struct Reference

Internal: class to store the line properties. More...

## Public Member Functions
| Line ()

## Public Attributes
int | m_firstChar
| the first character More...
int | m_height
| the height More...
int | m_width
| the width More...
int | m_maxFontSize
int | m_flags [4]
| the maximum font size More...

## Friends
std::ostream & | operator<< (std::ostream &o, Line const &l)
| operator<< More...

## Detailed Description

Internal: class to store the line properties.

## Constructor & Destructor Documentation

## ◆ Line()

WriterPlsParserInternal::Line::Line | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Line const & | l
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_firstChar

int WriterPlsParserInternal::Line::m_firstChar

the first character

Referenced by WriterPlsParser::readLines().

## ◆ m_flags

int WriterPlsParserInternal::Line::m_flags[4]

the maximum font size

some flag

Referenced by WriterPlsParser::readLines().

## ◆ m_height

int WriterPlsParserInternal::Line::m_height

the height

Referenced by WriterPlsParser::readLines().

## ◆ m_maxFontSize

int WriterPlsParserInternal::Line::m_maxFontSize

Referenced by WriterPlsParser::readLines().

## ◆ m_width

int WriterPlsParserInternal::Line::m_width

the width

Referenced by WriterPlsParser::readLines().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx